
CoCoALib - Feature #955

RandomUnimodularMat - random unimodular matrix (of integers)

27 Oct 2016 13:12 - John Abbott

Status: Closed Start date: 27 Oct 2016

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: New Function Estimated time: 0.00 hour

Target version: CoCoALib-0.99550 spring 2017 Spent time: 2.00 hours

Description

Write a new function which produces random unimodular matrices of integers.

Related issues:

Related to CoCoALib - Slug #1369: RandomUnimodularMat is slow with many iters In Progress 25 Nov 2019

History

#1 - 27 Oct 2016 13:17 - John Abbott

- Status changed from New to Feedback

- Assignee set to John Abbott

- % Done changed from 0 to 90

Perhaps the function is not that widely usable, but it was handy for something I was doing, so I made it publicly available.

It is in MatrixSpecial.

Added doc, but no tests yet.

#2 - 27 Oct 2016 15:58 - John Abbott

I have added a test (which revealed issue #956).

I would check in, but EduRoam is being more than usually obstructive today >-{

#3 - 18 Nov 2016 22:39 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

#4 - 25 Nov 2019 13:46 - John Abbott

- Related to Slug #1369: RandomUnimodularMat is slow with many iters added

Powered by TCPDF (www.tcpdf.org)

25 Apr 2024 1/1

https://cocoa.dima.unige.it/redmine/issues/956
http://www.tcpdf.org

